## ros-foxy-spacenav 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(spacenav)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(SPNAV REQUIRED)

add_library(spacenav
  SHARED
    src/spacenav.cpp)
target_include_directories(spacenav
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)
ament_target_dependencies(spacenav
  "geometry_msgs"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs")

target_link_libraries(spacenav spnav)

# Install targets
install(TARGETS spacenav
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

rclcpp_components_register_node(spacenav
  PLUGIN "spacenav::Spacenav"
  EXECUTABLE spacenav_node)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-spacenav (3.0.1-1focal) focal; urgency=high

  * Make sure to ament_target_dependencies on rclcpp_components (#209 <https://github.com/ros-drivers/joystick_drivers/issues/209>)
  * Contributors: Chris Lalancette

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jan 2022 00:00:00 -0000

ros-foxy-spacenav (3.0.0-1focal) focal; urgency=high

  * spacenav node changed for ros2 (#194 <https://github.com/ros-drivers/joystick_drivers/issues/194>)
  * Contributors: Nils Schulte

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 12 Mar 2021 00:00:00 -0000

ros-foxy-spacenav (1.13.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-foxy-spacenav (1.12.0-1focal) focal; urgency=high

  * Adding tested spacenav scaling
  * Added README
  * Addressed numerous outstanding PRs.
  * Changed package xml to format 2
  * Reduce the number of scale params in spacenav_node
  * Add a scale parameter to each axis in spacenav_node
    Do not apply the scale to the joy topic.
  * Contributors: Gaël Ecorchard, Jonathan Bohren, jprod123

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-foxy-spacenav (1.11.0-1focal) focal; urgency=high

  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-foxy-spacenav (1.10.1-1focal) focal; urgency=high

  * Add full_scale parameter and apply to offset
  * Remove stray architechture_independent flags
  * Contributors: Gaël Ecorchard, Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-foxy-spacenav (1.10.0-1focal) focal; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-spacenav
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), libspnav-dev, libx11-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/spacenav_node
Standards-Version: 3.9.2

Package: ros-foxy-spacenav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspnav-dev, libx11-dev, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, spacenavd, ros-foxy-ros-workspace
Description: ROS interface to the 3Dconnexion SpaceNavigator 6DOF joystick.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-spacenav//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
